#################################
#		Secret Rooms 3
#		Lobby Map Info Function
#		
#		Map Information Text
#
#		By Brozziest
#
#################################

#update Overlord score
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_info 1

#give text based on score
execute unless entity @e[tag=sr3_overlord,scores={lobby_info=3}] as @a at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 1

execute if entity @e[tag=sr3_overlord,scores={lobby_info=1}] as @e[tag=lobby_info_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,transformation:{scale:[0f,0f,0f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info=1}] as @e[tag=lobby_info_text] at @s run playsound minecraft:entity.puffer_fish.blow_out master @a ~ ~ ~ 1 1.5
execute if entity @e[tag=sr3_overlord,scores={lobby_info=1}] as @e[tag=lobby_info_text2] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,transformation:{scale:[1.5f,1.5f,1.5f]}}

execute if entity @e[tag=sr3_overlord,scores={lobby_info=1}] run tellraw @a {"text":"=-=-=-=-=-=-=-=-=-=-=-=-=-=","color":"#FFEA29","bold":true}
execute if entity @e[tag=sr3_overlord,scores={lobby_info=1}] run tellraw @a [{"text":"Welcome to","color":"#0A0AFF"},{"text":" Secret Rooms ","color":"#FF550D","bold":true},{"text":"3","color":"#0DDFFF"}]
execute if entity @e[tag=sr3_overlord,scores={lobby_info=1}] run tellraw @a {"text":"=-=-=-=-=-=-=-=-=-=-=-=-=-=\n","color":"#FFEA29","bold":true}

execute if entity @e[tag=sr3_overlord,scores={lobby_info=2}] run tellraw @a [{"text":"In this map, you will venture through ","color":"#A640FF"},{"text":"5","color":"#FF63EF","bold":true,"underlined":true},{"text":" unique levels. Each level will contain ","color":"#A640FF"},{"text":"5","color":"#FF63EF","bold":true,"underlined":true},{"text":" treasures.\n","color":"#A640FF"}]

#more text based on scores
execute if entity @e[tag=sr3_overlord,scores={lobby_info=4}] run tellraw @a [{"text":"These are the 5 treasures. There will be one of each in every level, each contained in a ","color":"#BA1111"},{"text":"~Secret Room~\n","color":"#FF996E","bold":true,"underlined":true}]

execute if entity @e[tag=sr3_overlord,scores={lobby_info=5}] run tellraw @a [{"text":"Your Goal:\n","color":"#0E9920"},{"text":"Find the Secret Rooms","color":"#1FFF3D","underlined":true},{"text":" and ","color":"#0E9920"},{"text":"collect the 5 Treasures.\n","color":"#1FFF3D","underlined":true}]

execute if entity @e[tag=sr3_overlord,scores={lobby_info=6}] run tellraw @a {"text":"Each room can be independently found using minecraft redstone, tricks and glitches, no command trickery!\n","color":"#08FFAD"}

execute if entity @e[tag=sr3_overlord,scores={lobby_info=7}] run tellraw @a [{"text":"Please note, these treasures are imperative to completing the level.\n","color":"#FF0000"},{"text":"Thus, please do not eat the Apple, or die holding the Totem.\n","color":"#FF0000"}]

execute if entity @e[tag=sr3_overlord,scores={lobby_info=8}] run tellraw @a [{"text":"You will receive a \"Tip Book\" in each level.\n","color":"#DD8FFF"},{"text":"Using a tip gives you a helpful nudge in the right direction.\n","color":"#DD8FFF"},{"text":"Tips are tallied, but there is no shame in using them!\n","color":"#DD8FFF"},{"text":"There will also be an \"Unstuck\" option if you happen to trap yourself.\nOnce you complete the level, you can click \"[Return to Lobby]\" on Pg. 3 of your tip book to return to the lobby.\n","color":"#DD8FFF"}]

execute if entity @e[tag=sr3_overlord,scores={lobby_info=9}] run tellraw @a {"text":"Please set your render distance to 16 or less, and enable all sounds (omitting Music) for the best experience.\n","color":"#909091"}

execute if entity @e[tag=sr3_overlord,scores={lobby_info=10}] run tellraw @a [{"text":"If you need more help, a walkthrough is available on my YT channel ","color":"#9C9C9C"},{"text":"<Here>\n","color":"#FF963B","hoverEvent":{"action":"show_text","value":[{"text":"Click to pull up Walkthrough"}]},"clickEvent":{"action":"open_url","value":"https://www.youtube.com/watch?v=7UREf6X67wE"}}]
execute if entity @e[tag=sr3_overlord,scores={lobby_info=10}] run tellraw @a {"text":"If you are suspicious of links, you can search \"Brozziest\"\n","color":"#9C9C9C"}

execute if entity @e[tag=sr3_overlord,scores={lobby_info=11}] run tellraw @a {"text":"That concludes map info, have fun!\n","color":"#00FFF7","bold":true}
execute if entity @e[tag=sr3_overlord,scores={lobby_info=11}] as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_info 1

#play animation
execute if entity @e[tag=sr3_overlord,scores={lobby_info=3}] run function secretrooms3:level_animation/lobby_info_animation

#reset info.
execute if entity @e[tag=sr3_overlord,scores={lobby_info=12..}] run tag @e[tag=sr3_overlord] add info_done
execute if entity @e[tag=sr3_overlord,scores={lobby_info=12..},tag=info_done,tag=shout_done] run function secretrooms3:level_animation/lvl1_portal/lvl1_set_clickbox
execute if entity @e[tag=sr3_overlord,scores={lobby_info=12..}] as @e[tag=lobby_info_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,transformation:{scale:[1.5f,1.5f,1.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info=12..}] as @e[tag=lobby_info_text2] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,transformation:{scale:[0f,0f,0f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info=12..}] as @e[tag=lobby_info_text] at @s run playsound minecraft:entity.puffer_fish.blow_up master @a ~ ~ ~ 1 1.5
execute if entity @e[tag=sr3_overlord,scores={lobby_info=12..}] as @e[tag=sr3_overlord] at @s run scoreboard players reset @s lobby_info