#################################
#		Secret Rooms 3
#		Portal Animation Function
#		
#		Lvl 2 Portal Animation
#
#		By Brozziest
#
#################################

#end animation
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=320..}] run return 1

#tp and invis player
effect give @a invisibility 1 1 true
effect give @a levitation 1 255 true
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl2_portal_anim matches 1 run scoreboard objectives setdisplay sidebar
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=1}] as @a at @s run tp @s 82.5 32.0 8.5 -90 0
execute as @a at @s run tp @s 82.5 32.0 8.5
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=1}] as @e[tag=sr3_overlord] at @s run scoreboard players reset @s in_lvl

#move clickbox
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=1}] as @e[tag=lobby_lvl2_clickbox] at @s run tp @s ~ ~-10 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=1}] as @e[tag=lobby_lvl2_unlock_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.3f,0.0f,0.3f]}}

#update Overlord score
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_lvl2_portal_anim 1



#Part 0: Static Portal
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=1..39}] run function secretrooms3:level_animation/lvl2_portal/lvl2_portal_static_seal

#Part 1: Text Disperses
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=1..32}] run function secretrooms3:level_animation/lvl2_portal/lvl2_portal_text

#Part 2: Portal Rotates
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=60..134}] run function secretrooms3:level_animation/lvl2_portal/lvl2_portal_anim_seal

#part 3: Rocks open
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=175..260}] run function secretrooms3:level_animation/lvl2_portal/lvl2_portal_block1

#Part 4: Finalize
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=230}] as @e[tag=lobby_lvl2_portal_text1] at @s run particle minecraft:enchant ~ ~1 ~ .1 .1 .1 3 500
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl2_portal_anim=260..}] run function secretrooms3:level_animation/lvl2_portal/lvl2_portal_final
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl2_portal_anim matches 320 run scoreboard objectives setdisplay sidebar tip

#repeat function
schedule function secretrooms3:level_animation/lvl2_portal/lvl2_portal_main 1t

