#################################
#		Secret Rooms 3
#		Portal Animation Function
#		
#		Lvl 3 Portal Reset
#
#		By Brozziest
#
#################################

#scoreboard
scoreboard players reset @e[tag=sr3_overlord] lobby_lvl3_portal_anim



#Lock Text
execute as @e[tag=lobby_lvl3_lock_text1] at @s run tp @s 71.5 28.56 30.5
execute as @e[tag=lobby_lvl3_lock_text2] at @s run tp @s @e[tag=lobby_lvl3_lock_text1,limit=1]
execute as @e[tag=lobby_lvl3_lock_text3] at @s run tp @s 71.5 28.26 30.5
execute as @e[tag=lobby_lvl3_lock_text4] at @s run tp @s 71.5 27.96 30.5
execute as @e[tag=lobby_lvl3_lock_text5] at @s run tp @s 71.7 27.06 30.5

execute as @e[tag=lobby_lvl3_lock_text1] at @s run data merge entity @s {text_opacity:255,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[2f,2f,2f]},text:'{"bold":true,"color":"#940707","text":"🔒                  🔒"}'}
execute as @e[tag=lobby_lvl3_lock_text2] at @s run data merge entity @s {transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[2f,2f,2f]},text:'{"bold":true,"color":"#940707","text":"Level Locked"}'}
execute as @e[tag=lobby_lvl3_lock_text3] at @s run data merge entity @s {transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.3f,1.3f,1.3f]},text:'{"bold":true,"color":"#7BDE43","text":"Unlocked by"}'}
execute as @e[tag=lobby_lvl3_lock_text4] at @s run data merge entity @s {transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.3f,1.3f,1.3f]},text:'{"bold":true,"color":"#7BDE43","text":"Completing Level 2"}'}
#execute as @e[tag=lobby_lvl3_unlock_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]}}

execute as @e[tag=lobby_lvl3_lock_text5] at @s run data merge entity @s {text:'{"text":"  "}',transformation:{translation:[0.0f,0.0f,0.0f],scale:[20f,8f,1f]}}

execute as @e[tag=lobby_lvl3_lock_block1] at @s run tp @s 74.2 27.06 30.49
execute as @e[tag=lobby_lvl3_lock_block1] at @s run data merge entity @s {transformation:{scale:[1f,1f,5.5f],translation:[-.5f,.5f,0.0f]}}

execute as @e[tag=lobby_lvl3_portal_text1] run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{scale:[0f,0f,0f]}}
execute as @e[tag=lobby_lvl3_portal_text2] run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{scale:[0f,0f,0f]}}

#Block Displays
execute as @e[tag=lobby_lvl3_portal_mat1] at @s run kill @s
execute as @e[tag=lobby_lvl3_portal_mat] at @s run kill @s
execute as @e[tag=lobby_lvl3_portal_box] at @s run kill @s
execute as @e[tag=lobby_lvl3_portal] at @s run kill @s
execute as @e[tag=lobby_lvl3_portal_filter] at @s run kill @s

#ClickBox
#execute as @e[tag=lobby_lvl3_clickbox1] at @s run tp @s 71.5 27.4 30.5
#execute as @e[tag=lobby_lvl3_clickbox2] at @e[tag=lobby_lvl3_clickbox1,limit=1] positioned ~-.4 ~ ~ run tp @s ~ ~ ~
#execute as @e[tag=lobby_lvl3_clickbox3] at @e[tag=lobby_lvl3_clickbox1,limit=1] positioned ~-.8 ~ ~ run tp @s ~ ~ ~
#execute as @e[tag=lobby_lvl3_clickbox4] at @e[tag=lobby_lvl3_clickbox1,limit=1] positioned ~.4 ~ ~ run tp @s ~ ~ ~
#execute as @e[tag=lobby_lvl3_clickbox5] at @e[tag=lobby_lvl3_clickbox1,limit=1] positioned ~.8 ~ ~ run tp @s ~ ~ ~

#physical
fill 73 26 30 69 31 30 air
setblock 71 26 29 minecraft:iron_trapdoor[facing=north,open=true]
setblock 70 26 30 minecraft:iron_trapdoor[facing=west,open=true]
setblock 72 26 30 minecraft:iron_trapdoor[facing=east,open=true]
setblock 71 26 31 minecraft:iron_trapdoor[facing=south,open=true]
setblock 71 26 30 minecraft:waxed_oxidized_cut_copper