#################################
#		Secret Rooms 3
#		Level 3 Tips
#
#		Commands for Level 3 Tips
#
#		By Brozziest
#
#################################


#################### Tips ####################
playsound minecraft:entity.item.pickup master @a ~ ~ ~ 1 .5

#Nether Star Tip
execute if score @s tip_trigger matches 1 if entity @e[tag=sr3_overlord,tag=!n_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 1 if entity @e[tag=sr3_overlord,tag=!n_tip] as @e[tag=sr3_overlord] run tag @s add n_tip

execute if score @s tip_trigger matches 1 run tellraw @a ["",{"text":"\nNether Star Tip:","color":"white","bold":true},{"text":"\nWhen foxes cannot reach their prey, they will leap to get it!","color":"gray"}]

#Emerald Tip
execute if score @s tip_trigger matches 2 if entity @e[tag=sr3_overlord,tag=!e_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 2 if entity @e[tag=sr3_overlord,tag=!e_tip] as @e[tag=sr3_overlord] run tag @s add e_tip

execute if score @s tip_trigger matches 2 run tellraw @a ["",{"text":"\nEmerald Tip:","color":"green","bold":true},{"text":"\nInteracting with your pet, such as feeding it, may trip off nearby sensors!","color":"#33ff99"}]

#Diamond Tip
execute if score @s tip_trigger matches 3 if entity @e[tag=sr3_overlord,tag=!d_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 3 if entity @e[tag=sr3_overlord,tag=!d_tip] as @e[tag=sr3_overlord] run tag @s add d_tip

execute if score @s tip_trigger matches 3 run tellraw @a ["",{"text":"\nDiamond Tip:","color":"aqua","bold":true},{"text":"\nProjectiles do not hit snow layers, but the block they cover behind them.","color":"#adebff"}]

#Totem Tip
execute if score @s tip_trigger matches 4 if entity @e[tag=sr3_overlord,tag=!t_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 4 if entity @e[tag=sr3_overlord,tag=!t_tip] as @e[tag=sr3_overlord] run tag @s add t_tip

execute if score @s tip_trigger matches 4 run tellraw @a ["",{"text":"\nTotem Tip:","color":"#990000","bold":true},{"text":"\nFeeding brown mooshrooms particular flowers will affect what suspicious stew they give.","color":"#ffcc00"}]

#Golden Apple Tip
execute if score @s tip_trigger matches 5 if entity @e[tag=sr3_overlord,tag=!a_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 5 if entity @e[tag=sr3_overlord,tag=!a_tip] as @e[tag=sr3_overlord] run tag @s add a_tip

execute if score @s tip_trigger matches 5 run tellraw @a ["",{"text":"\nGolden Apple Tip:","color":"yellow","bold":true},{"text":"\nA chiseled bookshelf can be used as a combination lock. If you would like information regarding where to find the combination itself, click ","color":"#ffffcc"},{"text":"[Here]","color":"#C41616","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 6"}},{"text":" at no extra cost.","color":"#ffffcc"}]
execute if score @s tip_trigger matches 6 run tellraw @a ["",{"text":"\nGolden Apple Tip 2:","color":"yellow","bold":true},{"text":"\nThe combination is hidden within the 5 Volumes","color":"#ffffcc"}]

scoreboard players enable @s tip_trigger
scoreboard players set @a tip_trigger 0