#################################
#		Secret Rooms 3
#		Lobby Map Info Function
#		
#		Map Information Animation
#
#		By Brozziest
#
#################################

#end animation
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=560..}] as @e[tag=lobby_info_clickbox] at @s run tp @s -19.5 32.1 8.5
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=560..}] run function secretrooms3:level_animation/lobby_info
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=560..}] run return 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=559}] as @e[tag=lobby_info_text2] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:5,transformation:{scale:[1.5f,1.5f,1.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_clickbox] at @s run tp @s -19.5 25 8.5
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_text2] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:5,transformation:{scale:[0f,0f,0f]}}

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] run title @a times 5t 2s 1s
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] run title @a title {"text":"BEHOLD!","color":"#0D15FF","italic":true}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] run title @a subtitle {"text":"The 5 Treasures!","color":"#91AFFF"}

#progress animation
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_info_anim 1


#player looks at ceiling
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] positioned -20 29 8 as @a[distance=..17] at @s run tp @s ~ ~ ~ facing entity @e[tag=lobby_info_anim_marker1,limit=1,sort=nearest]

#summon the models and reset marker positions
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] at @e[tag=lobby_info_anim_marker1] run tp @e[tag=lobby_info_anim_marker] @e[tag=lobby_info_anim_marker1,limit=1,sort=nearest]

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_anim_marker2] at @s run tp @s ~ ~8 ~ ~40 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_anim_marker3] at @s run tp @s ~ ~8 ~ ~-32 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_anim_marker4] at @s run tp @s ~ ~8 ~ ~-104 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_anim_marker5] at @s run tp @s ~ ~8 ~ ~-176 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] as @e[tag=lobby_info_anim_marker6] at @s run tp @s ~ ~8 ~ ~-248 ~

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1}] at @e[tag=lobby_info_anim_marker2] run summon item_display ~ ~ ~ {teleport_duration:1,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[.1f,.1f,.1f]},item:{id:"minecraft:diamond",Count:1b},Tags:["lobby_info_display","lobby_info_diamond"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=18}] at @e[tag=lobby_info_anim_marker3] run summon item_display ~ ~ ~ {teleport_duration:1,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[.1f,.1f,.1f]},item:{id:"minecraft:emerald",Count:1b},Tags:["lobby_info_display","lobby_info_emerald"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=36}] at @e[tag=lobby_info_anim_marker4] run summon item_display ~ ~ ~ {teleport_duration:1,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[.1f,.1f,.1f]},item:{id:"minecraft:nether_star",Count:1b},Tags:["lobby_info_display","lobby_info_star"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=54}] at @e[tag=lobby_info_anim_marker5] run summon item_display ~ ~ ~ {teleport_duration:1,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[.1f,.1f,.1f]},item:{id:"minecraft:totem_of_undying",Count:1b},Tags:["lobby_info_display","lobby_info_totem"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=72}] at @e[tag=lobby_info_anim_marker6] run summon item_display ~ ~ ~ {teleport_duration:1,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[.1f,.1f,.1f]},item:{id:"minecraft:enchanted_golden_apple",Count:1b},Tags:["lobby_info_display","lobby_info_apple"]}

#resize animation 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=3}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:250,transformation:{scale:[2f,2f,2f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=19}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:250,transformation:{scale:[2f,2f,2f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=37}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:250,transformation:{scale:[2f,2f,2f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=55}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:250,transformation:{scale:[2f,2f,2f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=73}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:250,transformation:{scale:[2f,2f,2f]}}

#movement animation 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..256}] as @e[tag=lobby_info_anim_marker2,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_text,limit=1,sort=nearest] eyes positioned ^ ^ ^.1 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=18..273}] as @e[tag=lobby_info_anim_marker3,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_text,limit=1,sort=nearest] eyes positioned ^ ^ ^.1 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=36..291}] as @e[tag=lobby_info_anim_marker4,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_text,limit=1,sort=nearest] eyes positioned ^ ^ ^.1 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=54..309}] as @e[tag=lobby_info_anim_marker5,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_text,limit=1,sort=nearest] eyes positioned ^ ^ ^.1 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=72..327}] as @e[tag=lobby_info_anim_marker6,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_text,limit=1,sort=nearest] eyes positioned ^ ^ ^.1 run tp @s ~ ~ ~

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..522}] as @e[tag=lobby_info_anim_marker,limit=5,sort=nearest] at @s run tp @s ~ ~ ~ ~4 0

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=2..390}] as @e[tag=lobby_info_anim_marker2] at @s positioned ^ ^ ^3 run tp @e[tag=lobby_info_diamond,limit=1,sort=nearest] ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..423}] as @e[tag=lobby_info_anim_marker3] at @s positioned ^ ^ ^3 run tp @e[tag=lobby_info_emerald,limit=1,sort=nearest] ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..456}] as @e[tag=lobby_info_anim_marker4] at @s positioned ^ ^ ^3 run tp @e[tag=lobby_info_star,limit=1,sort=nearest] ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..489}] as @e[tag=lobby_info_anim_marker5] at @s positioned ^ ^ ^3 run tp @e[tag=lobby_info_totem,limit=1,sort=nearest] ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..522}] as @e[tag=lobby_info_anim_marker6] at @s positioned ^ ^ ^3 run tp @e[tag=lobby_info_apple,limit=1,sort=nearest] ~ ~ ~

execute as @e[tag=lobby_info_display,limit=5,sort=nearest] at @s run tp @s ~ ~ ~ ~-5 0


#movement animation 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=391..412}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_diamond_marker,limit=1,sort=nearest] eyes positioned ^ ^ ^.21 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=424..442}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_emerald_marker,limit=1,sort=nearest] eyes positioned ^ ^ ^.21 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=457..476}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_star_marker,limit=1,sort=nearest] eyes positioned ^ ^ ^.21 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=490..517}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_totem_marker,limit=1,sort=nearest] eyes positioned ^ ^ ^.21 run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=523..550}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s facing entity @e[tag=lobby_info_apple_marker,limit=1,sort=nearest] eyes positioned ^ ^ ^.21 run tp @s ~ ~ ~

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=413}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @e[limit=1,tag=lobby_info_diamond_marker] run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=413}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s run tag @s add lobby_info_display_spin
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=443}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @e[limit=1,tag=lobby_info_emerald_marker] run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=443}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s run tag @s add lobby_info_display_spin
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=477}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @e[limit=1,tag=lobby_info_star_marker] run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=477}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s run tag @s add lobby_info_display_spin
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=518}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @e[limit=1,tag=lobby_info_totem_marker] run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=518}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s run tag @s add lobby_info_display_spin
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=550}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @e[limit=1,tag=lobby_info_apple_marker] run tp @s ~ ~ ~
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=550}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s run tag @s add lobby_info_display_spin


#resize animation 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=391}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:23,transformation:{scale:[.8f,.8f,.8f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=424}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:23,transformation:{scale:[.8f,.8f,.8f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=457}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:23,transformation:{scale:[.8f,.8f,.8f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=490}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:23,transformation:{scale:[.8f,.8f,.8f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=523}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:23,transformation:{scale:[.8f,.8f,.8f]}}

#particles
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..391}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s positioned ^ ^-2 ^2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=18..424}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s positioned ^ ^-2 ^2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=36..457}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s positioned ^ ^-2 ^2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=54..490}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s positioned ^ ^-2 ^2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=72..523}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s positioned ^ ^-2 ^2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..391}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s positioned ^ ^-2 ^-2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=18..423}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s positioned ^ ^-2 ^-2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=36..457}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s positioned ^ ^-2 ^-2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=54..490}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s positioned ^ ^-2 ^-2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=72..523}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s positioned ^ ^-2 ^-2 run particle minecraft:wax_off ~ ~ ~ 0 0 0 0 1

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=1..523}] as @e[tag=lobby_info_display,limit=5,sort=nearest] at @s positioned ^ ^-.2 ^ run particle minecraft:ash ~ ~ ~ 0 0 0 0 1

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=412}] as @e[tag=lobby_info_diamond,limit=1,sort=nearest] at @s positioned ~ ~-.2 ~ run particle minecraft:cloud ~ ~ ~ 0 0 0 0 5
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=442}] as @e[tag=lobby_info_emerald,limit=1,sort=nearest] at @s positioned ~ ~-.2 ~ run particle minecraft:cloud ~ ~ ~ 0 0 0 0 5
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=476}] as @e[tag=lobby_info_star,limit=1,sort=nearest] at @s positioned ~ ~-.2 ~ run particle minecraft:cloud ~ ~ ~ 0 0 0 0 5
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=517}] as @e[tag=lobby_info_totem,limit=1,sort=nearest] at @s positioned ~ ~-.2 ~ run particle minecraft:cloud ~ ~ ~ 0 0 0 0 5
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=550}] as @e[tag=lobby_info_apple,limit=1,sort=nearest] at @s positioned ~ ~-.2 ~ run particle minecraft:cloud ~ ~ ~ 0 0 0 0 5

#sounds
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=4}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=12}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=20}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=28}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=36}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=44}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=52}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=60}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=68}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=76}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=84}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=92}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=100}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=108}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=116}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=132}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=140}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=148}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=156}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=164}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=172}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=180}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=188}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.189207

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=196}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=204}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=212}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=220}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=228}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=236}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=244}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.259921

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=260}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=268}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=276}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=284}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=292}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=300}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=308}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=316}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=324}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=332}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=340}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=348}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=356}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=364}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=372}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=388}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=396}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=404}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=412}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=420}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=428}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=436}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=444}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.681793

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=452}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=460}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=469}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=479}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=491}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=503}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=516}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~4 1 1.781797

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=530}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=548}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 0.561231
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=548}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~-4 1 1.122462

#sounds 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=4}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=12}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=20}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=28}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=36}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=44}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=52}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=60}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=68}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=76}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=84}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=92}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=100}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=108}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=116}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=132}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=140}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=148}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=156}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=164}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=172}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=180}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.059463
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=188}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.189207

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=196}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=204}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=212}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=220}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=228}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=236}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.414214
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=244}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.259921

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=260}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=268}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=276}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=284}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=292}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=300}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=308}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=316}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=324}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=332}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=340}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=348}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=356}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=364}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=372}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=388}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=396}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=404}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=412}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=420}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=428}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=436}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.498307
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=444}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.681793

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=452}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=460}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=469}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=479}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=491}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=503}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=516}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~4 1 1.781797

execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=530}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 2
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=548}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 0.561231
execute if entity @e[tag=sr3_overlord,scores={lobby_info_anim=548}] as @e[tag=lobby_info_text] at @s run playsound minecraft:block.note_block.bell master @a ~ ~ ~-4 1 1.122462

#repeat function
schedule function secretrooms3:level_animation/lobby_info_animation 1t