#################################
#		Secret Rooms 3
#		Level Finish
#
#		Commands Once Level Is Complete
#
#		By Brozziest
#
#################################


execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 3 run setblock 715 73 -32 air

time set day
weather clear
tp @a 9 38 8 -90 -20
spawnpoint @a 9 38 8 -90
schedule function secretrooms3:levels/return_boop 2t

execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 1 run function secretrooms3:level_animation/lvl2_portal/lvl2_set_clickbox
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 2 run function secretrooms3:level_animation/lvl3_portal/lvl3_set_clickbox
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 3 run function secretrooms3:level_animation/lvl4_portal/lvl4_set_clickbox
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 4 run function secretrooms3:level_animation/lvl5_portal/lvl5_set_clickbox

execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 1 run scoreboard players set @e[tag=sr3_overlord] completed_lvl 1
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 2 run scoreboard players set @e[tag=sr3_overlord] completed_lvl 2
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 3 run scoreboard players set @e[tag=sr3_overlord] completed_lvl 3
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 4 run scoreboard players set @e[tag=sr3_overlord] completed_lvl 4
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 5 run scoreboard players set @e[tag=sr3_overlord] completed_lvl 5

scoreboard players set @e[tag=sr3_overlord] in_lvl 0


tag @e[tag=sr3_overlord] remove a_tip
tag @e[tag=sr3_overlord] remove d_tip
tag @e[tag=sr3_overlord] remove e_tip
tag @e[tag=sr3_overlord] remove n_tip
tag @e[tag=sr3_overlord] remove t_tip

tag @e[tag=sr3_overlord] remove a_room
tag @e[tag=sr3_overlord] remove d_room
tag @e[tag=sr3_overlord] remove e_room
tag @e[tag=sr3_overlord] remove n_room
tag @e[tag=sr3_overlord] remove t_room


clear @a
effect clear @a
experience set @a 0 levels
experience set @a 0 points
scoreboard players reset @a complete_lvl
scoreboard players reset @a unstick
scoreboard players set @e[tag=sr3_overlord] finish_level 0
scoreboard players reset @a apple_used
scoreboard players reset @a totem_used
tag @e[tag=sr3_overlord,limit=1] remove return_prompt

#execute as @a at @s if score @e[tag=sr3_overlord] finish_level matches 120}] run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~ 1 2
#execute if score @e[tag=sr3_overlord] finish_level matches 120}] run title @a title [{"text":"Congrats!","color":"gold"}]
#execute if score @e[tag=sr3_overlord] finish_level matches 120}] run title @a subtitle [{"text":"You found all 25 rooms!","color":"dark_blue"}]
#execute if score @e[tag=sr3_overlord] finish_level matches 220}] run title @a title [{"text":"Map By","color":"yellow"}]
#execute if score @e[tag=sr3_overlord] finish_level matches 220}] run title @a subtitle [{"text":"Brozziest","color":"gold"}]

#execute if score @e[tag=sr3_overlord] finish_level matches 320}] run title @a title [{"text":"Thanks for Playing!","color":"gray"}]
#execute if score @e[tag=sr3_overlord] finish_level matches 420}] run title @a title [{"text":"Click on the sign","color":"gold"}]
#execute if score @e[tag=sr3_overlord] finish_level matches 420}] run title @a subtitle [{"text":"To check out unused ideas","color":"gold"}]


#execute if score @e[tag=sr3_overlord] finish_level matches 440}] run setblock 8 5 -3 minecraft:birch_sign
#execute if score @e[tag=sr3_overlord] finish_level matches 440}] run data merge block 8 5 -3 {Text1:"{\"text\":\"==============\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"gold\"}",Text2:"{\"text\":\"Click here to\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"dark_blue\"}",Text3:"{\"text\":\"visit all the\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"dark_blue\"}",Text4:"{\"text\":\"unused ideas\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"dark_blue\"}"}
#execute if score @e[tag=sr3_overlord] finish_level matches 440}] run tag @a remove inlvl5
#execute if score @e[tag=sr3_overlord] finish_level matches 440}] run scoreboard players add @a level 1
#execute if score @e[tag=sr3_overlord] finish_level matches 440}] run scoreboard players set @e[tag=storeInfo] lfclock 0
