#################################
#		Secret Rooms 3
#		Level 1 commands
#
#		Commands for Level 1
#
#		By Brozziest
#
#################################

################### Decorations ##############
function secretrooms3:levels/level_deco_animations/lvl1/lvl1_deco

################### Actives ##################
execute as @e[type=item,limit=1,nbt={Item:{id:"minecraft:bone_meal"}}] at @s run data merge entity @s {Item:{tag:{HideFlags:56,CanPlaceOn:[mangrove_leaves]}}}

execute unless data block 82 44 435 {Items:[{id:"minecraft:snowball"}]} unless data block 82 44 435 {Items:[{Slot:13b}]} run data modify block 82 44 435 Items append value {Count:4b,Slot:13b,id:"minecraft:snowball",tag:{display:{Lore:['[{"text":"Once a token gifted with prestige.","italic":false,"color":"#bbbbbb"}]','[{"text":"Now a relic recieved with grief","italic":false,"color":"#bbbbbb"}]'],Name:'[{"text":"Orb of a Fallen Ancestory","italic":false,"color":"#ffffcc","bold":true}]'}}}

execute as @a if score @s unstick matches 1 at @s run function secretrooms3:levels/unstick

#################### Tips ####################
scoreboard players enable @a tip_trigger
execute as @a[scores={tip_trigger=1..}] at @s run function secretrooms3:levels/lvl1/lvl1_tips


##################### Item Collection ####################

scoreboard players set @e[tag=sr3_overlord] items_collected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"gray"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#adebff"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#33ff99"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffffcc"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffcc00"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1

execute as @e[tag=sr3_overlord,limit=1] at @s if entity @e[tag=sr3_overlord,scores={items_collected=5}] unless entity @e[tag=sr3_overlord,tag=return_prompt] run function secretrooms3:levels/level_finish
scoreboard players set @e[tag=sr3_overlord] items_collected 0


##################### Room Found Announcement ####################

execute if entity @a[x=95,y=31,z=453,dx=12,dy=5,dz=13,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n The Emerald Room:","color":"green","bold":true},{"text":" The Nurture of Absense","color":"#33ff99"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_green"}]
execute if entity @a[x=95,y=31,z=453,dx=12,dy=5,dz=13,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=95,y=31,z=453,dx=12,dy=5,dz=13,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=95,y=31,z=453,dx=12,dy=5,dz=13,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tag @e[tag=sr3_overlord] add e_room
execute if entity @a[x=95,y=31,z=453,dx=12,dy=5,dz=13,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_tip] run tag @e[tag=sr3_overlord] add e_tip

execute if entity @a[x=43,y=22,z=482,dx=2,dy=8,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n The Diamond Room:","color":"aqua","bold":true},{"text":" Balance Repaid Through Judgement","color":"#adebff"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_blue"}]
execute if entity @a[x=43,y=22,z=482,dx=2,dy=8,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=43,y=22,z=482,dx=2,dy=8,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=43,y=22,z=482,dx=2,dy=8,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tag @e[tag=sr3_overlord] add d_room
execute if entity @a[x=43,y=22,z=482,dx=2,dy=8,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_tip] run tag @e[tag=sr3_overlord] add d_tip

execute if entity @a[x=64,y=48,z=479,dx=6,dy=5,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n The Nether Star Room:","color":"white","bold":true},{"text":" Call to Fate","color":"gray"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"white"}]
execute if entity @a[x=64,y=48,z=479,dx=6,dy=5,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 1 0
execute if entity @a[x=64,y=48,z=479,dx=6,dy=5,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=64,y=48,z=479,dx=6,dy=5,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run particle minecraft:end_rod ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=64,y=48,z=479,dx=6,dy=5,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tag @e[tag=sr3_overlord] add n_room
execute if entity @a[x=64,y=48,z=479,dx=6,dy=5,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_tip] run tag @e[tag=sr3_overlord] add n_tip

execute if entity @a[x=28,y=43,z=464,dx=2,dy=4,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n The Golden Apple Room:","color":"yellow","bold":true},{"text":" Where Light and Earth Meet","color":"#FFFFCC"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"gold"}]
execute if entity @a[x=28,y=43,z=464,dx=2,dy=4,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=28,y=43,z=464,dx=2,dy=4,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=28,y=43,z=464,dx=2,dy=4,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tag @e[tag=sr3_overlord] add a_room
execute if entity @a[x=28,y=43,z=464,dx=2,dy=4,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_tip] run tag @e[tag=sr3_overlord] add a_tip

execute if entity @a[x=55,y=39,z=412,dx=3,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n The Totem Room:","color":"#990000","bold":true},{"text":" The Forbidden Library","color":"#FFCC00"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"red"}]
execute if entity @a[x=55,y=39,z=412,dx=3,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=55,y=39,z=412,dx=3,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=55,y=39,z=412,dx=3,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tag @e[tag=sr3_overlord] add t_room
execute if entity @a[x=55,y=39,z=412,dx=3,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_tip] run tag @e[tag=sr3_overlord] add t_tip

#Leave Announcement
execute if entity @e[tag=sr3_overlord,tag=return_prompt] run title @a actionbar [{"text":"Level Complete! Use Your Tip Book Pg.3 to Return to the Lobby, When Ready!","color":"#FF7373"}]
scoreboard players enable @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run tellraw @s {"text":"You have not yet completed the level!","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..99 run tellraw @s {"text":"Logging completion, try again in a moment...","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..99 run scoreboard players reset @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 unless score @e[tag=sr3_overlord,limit=1] finish_level matches ..99 run function secretrooms3:levels/level_finish2
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run scoreboard players reset @a complete_lvl