#################################
#		Secret Rooms 3
#		Level 2 commands
#
#		Commands for Level 2
#
#		By Brozziest
#
#################################

################### Decorations ##############
function secretrooms3:levels/level_deco_animations/lvl2/lvl2_deco

################### Actives ##################
execute as @a if entity @s[nbt={SelectedItem:{id:"minecraft:furnace_minecart",Count:1b}}] unless entity @s[nbt={SelectedItem:{id:"minecraft:furnace_minecart",Count:1b,tag:{HideFlags:56,CanPlaceOn:[rail]}}}] at @s run item modify entity @s weapon.mainhand secretrooms3:furnace_minecart
execute as @a if entity @s[nbt={SelectedItem:{id:"minecraft:minecart",Count:1b}}] unless entity @s[nbt={SelectedItem:{id:"minecraft:minecart",Count:1b,tag:{HideFlags:56,CanPlaceOn:[rail]}}}] at @s run item modify entity @s weapon.mainhand secretrooms3:furnace_minecart

execute if score @e[type=marker,tag=lvl2_slime_spawner,limit=1] gen_raycast matches ..5 store result score @e[type=marker,tag=lvl2_slime_spawner] gen_raycast if entity @e[type=slime,tag=lvl2_slime]
execute store success score #slime_spawn gen_raycast unless score @e[type=marker,tag=lvl2_slime_spawner,limit=1] gen_raycast matches 5.. as @e[type=marker,tag=lvl2_slime_spawner] at @s if entity @a[distance=..5,gamemode=adventure] facing entity @p[gamemode=adventure] eyes positioned ^ ^ ^3 run summon slime ~ ~ ~ {Size:0,Tags:["lvl2_slime"],CustomName:'{"text":"Jarry","color":"#54FF76","bold":true}'}
execute if score #slime_spawn gen_raycast matches 1.. run scoreboard players set @e[type=marker,tag=lvl2_slime_spawner] gen_raycast 600
execute if score #slime_spawn gen_raycast matches 1.. as @e[type=marker,tag=lvl2_slime_spawner] at @s facing entity @p eyes positioned ^ ^ ^3 run particle minecraft:witch ~ ~ ~ .1 .1 .1 .1 20
scoreboard players reset #slime_spawn gen_raycast
scoreboard players remove @e[type=marker,tag=lvl2_slime_spawner] gen_raycast 1

execute as @e[type=minecraft:pufferfish,tag=!has_puffed] if predicate secretrooms3:puffstate run tag @s add has_puffed
execute as @e[type=minecraft:pufferfish,tag=has_puffed] unless predicate secretrooms3:puffstate run function secretrooms3:levels/lvl2/lvl2_puffer_cooldown
execute as @e[type=minecraft:pufferfish,tag=puff_cooldown] run function secretrooms3:levels/lvl2/lvl2_puffer_cooldown

execute as @a if score @s unstick matches 1 at @s run function secretrooms3:levels/unstick

#################### Tips ####################
scoreboard players enable @a tip_trigger
execute as @a[scores={tip_trigger=1..}] at @s run function secretrooms3:levels/lvl2/lvl2_tips


##################### Item Collection ####################

scoreboard players set @e[tag=sr3_overlord] items_collected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"gray"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#adebff"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#33ff99"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffffcc"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffcc00"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1

execute as @e[tag=sr3_overlord,limit=1] at @s if entity @e[tag=sr3_overlord,scores={items_collected=5}] unless entity @e[tag=sr3_overlord,tag=return_prompt] run function secretrooms3:levels/level_finish
scoreboard players set @e[tag=sr3_overlord] items_collected 0


##################### Room Found Announcement ####################

execute if entity @a[x=499,y=49,z=488,dx=12,dy=12,dz=12,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n The Emerald Room:","color":"green","bold":true},{"text":" Knowledge Flourishing into the Strong","color":"#33ff99"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_green"}]
execute if entity @a[x=499,y=49,z=488,dx=12,dy=12,dz=12,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=499,y=49,z=488,dx=12,dy=12,dz=12,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=499,y=49,z=488,dx=12,dy=12,dz=12,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tag @e[tag=sr3_overlord] add e_room
execute if entity @a[x=499,y=49,z=488,dx=12,dy=12,dz=12,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_tip] run tag @e[tag=sr3_overlord] add e_tip

execute if entity @a[x=562,y=25,z=421,dx=4,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n The Diamond Room:","color":"aqua","bold":true},{"text":" Into the Glow of the Fire Below","color":"#adebff"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_blue"}]
execute if entity @a[x=562,y=25,z=421,dx=4,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=562,y=25,z=421,dx=4,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=562,y=25,z=421,dx=4,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tag @e[tag=sr3_overlord] add d_room
execute if entity @a[x=562,y=25,z=421,dx=4,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_tip] run tag @e[tag=sr3_overlord] add d_tip

execute if entity @a[x=546,y=48,z=509,dx=8,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n The Nether Star Room:","color":"white","bold":true},{"text":" Court of the Sinner","color":"gray"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"white"}]
execute if entity @a[x=546,y=48,z=509,dx=8,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 1 0
execute if entity @a[x=546,y=48,z=509,dx=8,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=546,y=48,z=509,dx=8,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run particle minecraft:end_rod ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=546,y=48,z=509,dx=8,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tag @e[tag=sr3_overlord] add n_room
execute if entity @a[x=546,y=48,z=509,dx=8,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_tip] run tag @e[tag=sr3_overlord] add n_tip

execute if entity @a[x=587,y=47,z=455,dx=3,dy=9,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n The Golden Apple Room:","color":"yellow","bold":true},{"text":" Counsel of Condemnation","color":"#FFFFCC"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"gold"}]
execute if entity @a[x=587,y=47,z=455,dx=3,dy=9,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=587,y=47,z=455,dx=3,dy=9,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=587,y=47,z=455,dx=3,dy=9,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tag @e[tag=sr3_overlord] add a_room
execute if entity @a[x=587,y=47,z=455,dx=3,dy=9,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_tip] run tag @e[tag=sr3_overlord] add a_tip

execute if entity @a[x=529,y=105,z=478,dx=2,dy=4,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n The Totem Room:","color":"#990000","bold":true},{"text":" The Great Eye of the Depths","color":"#FFCC00"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"red"}]
execute if entity @a[x=529,y=105,z=478,dx=2,dy=4,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=529,y=105,z=478,dx=2,dy=4,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=529,y=105,z=478,dx=2,dy=4,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tag @e[tag=sr3_overlord] add t_room
execute if entity @a[x=529,y=105,z=478,dx=2,dy=4,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_tip] run tag @e[tag=sr3_overlord] add t_tip

#Leave Announcement
execute if entity @e[tag=sr3_overlord,tag=return_prompt] run title @a actionbar [{"text":"Level Complete! Use Your Tip Book Pg.3 to Return to the Lobby, When Ready!","color":"#FF7373"}]
scoreboard players enable @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run tellraw @s {"text":"You have not yet completed the level!","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run tellraw @s {"text":"Logging completion, try again in a moment...","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run scoreboard players reset @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 unless score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run function secretrooms3:levels/level_finish2
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run scoreboard players reset @a complete_lvl