#################################
#		Secret Rooms 3
#		Level  startup
#
#		Sets player up for Lvl 4
#
#		By Brozziest
#
#################################

scoreboard players reset #complete_tune gen_song

execute as @a at @s run effect give @s blindness 5 1 true
execute as @a at @s run effect give @s darkness 5 1 true

scoreboard objectives setdisplay sidebar tip

scoreboard players enable @a unstick
time set 18000
scoreboard players display numberformat @a tip styled {"color":"#FFFF0F"}
spawnpoint @a 415 76 -480 -90

execute as @a at @s run tp @s 415 76 -480 -90 -12.5
gamemode adventure @a
execute as @a at @s run playsound minecraft:ambient.soul_sand_valley.additions master @s ~ ~ ~ 2 .4
execute as @a at @s run playsound minecraft:ambient.soul_sand_valley.mood master @s ~ ~ ~ 2 .6

execute as @a at @s run title @s title [{"text":"The Mausoleum","bold":true,"color":"#FFEE00"}]
execute as @a at @s run title @s subtitle [{"text":"A Temple Conquered By Death","color":"#FFFC96"}]

give @a written_book{pages:['["",{"text":" Level 4 Tip Book","bold":true,"color":"#FFEE00"},{"text":"\\n","color":"#000000"},{"text":"-+-+-+-+-+-+-+-+-+","color":"gold"},{"text":"\\n\\n","color":"#000000"},{"text":"Clicking a Tip will increase your tip score once per treasure.","color":"#FFDC2E"},{"text":"\\n\\n","color":"#000000"},{"text":"If you find yourself trapped, this book contains an","color":"#0FB2FF"},{"text":" \\"[Unstick Me]\\"","color":"#C72929"},{"text":" Button.","color":"#0FB2FF"},{"text":"\\n\\n","color":"#000000"},{"text":"-+-+-+-+-+-+-+-+-+","color":"gold"}]','["",{"text":"=+=+=+=+=+=+=+=+=+","color":"gold"},{"text":"\\n","color":"#000000"},{"text":"[Diamond Tip]","bold":true,"color":"aqua","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 3"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Diamond Tip!","color":"#adebff"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Emerald Tip]","bold":true,"color":"green","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 2"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Emerald Tip!","color":"#33ff99"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Nether Star Tip]","bold":true,"color":"gray","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Nether Star Tip!","color":"white"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Totem Tip]","bold":true,"color":"#CC3909","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 4"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Totem Tip!","color":"#FFCC00"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Golden Apple Tip]","bold":true,"color":"#F8DB00","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 5"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Apple Tip!","color":"#FFFFCC"}}},{"text":"\\n\\n\\n","color":"#000000"},{"text":"[Unstick Me!]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger unstick set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click to get unstuck","color":"dark_red"}}},{"text":"\\n","color":"#000000"},{"text":"=+=+=+=+=+=+=+=+=+","color":"gold"}]','["",{"text":"-=-=-=-=-=-=-=-=-=","color":"gold"},{"text":"\\n\\n","color":"#000000"},{"text":"Once the level is complete, you may continue to roam the level. To return back to the lobby, click below:","color":"#A72D2B"},{"text":"\\n\\n","color":"#000000"},{"text":"[Return To Lobby]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger complete_lvl set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click to return to lobby!","color":"dark_purple"}}},{"text":"\\n\\n\\n\\n","color":"#000000"},{"text":"-=-=-=-=-=-=-=-=-=","color":"gold"}]'],title:"Level 4 Tip Book",author:Brozziest,display:{Name:'["",{"text":"Level 4 Tip Book","italic":false,"color":"#FFEE00"}]',Lore:['["",{"text":"Truth amongst the","italic":false,"color":"#FFFC96"}]','["",{"text":"pages buried in sand.","italic":false,"color":"#FFFC96"}]']}}

scoreboard players set @e[tag=sr3_overlord] in_lvl 4