#################################
#		Secret Rooms 3
#		Lobby Function
#		
#		Hub for occurences in the lobby
#
#		By Brozziest
#
#################################

#Effects
execute unless entity @e[type=marker,tag=lvl5_anim_playing] run function secretrooms3:level_animation/lobby_3_movement
execute unless score @e[type=marker,tag=sr3_overlord,limit=1] lobby_lvl2_portal_anim matches 0.. run function secretrooms3:level_animation/lvl2_static_seal
execute as @e[tag=lobby_statue_marker1] at @s if entity @a[distance=..40] run function secretrooms3:level_animation/lobby_statue
execute as @e[type=item_display,tag=lobby_shout_head,tag=lobby_spin_head] at @s run tp @s ~ ~ ~ ~3 ~
execute as @e[type=item_display,tag=lobby_info_display_spin] at @s run tp @s ~ ~ ~ ~-3 ~

#Progress

#Portal Particles
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 1.. as @e[tag=lvl1_portal_particles_center] at @s if entity @a[distance=..30] run function secretrooms3:level_animation/lvl1_portal/lvl1_portal_particles_main
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 2.. at @e[tag=lvl2_portal_particles_center] if entity @a[distance=..35] run function secretrooms3:level_animation/lvl2_portal/lvl2_portal_particles_main
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 3.. at @e[tag=lobby_lvl3_portal_text1] if entity @a[distance=..20] run function secretrooms3:level_animation/lvl3_portal/lvl3_portal_particles_main
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 4.. at @e[tag=lvl4_portal_particles_center] if entity @a[distance=..18] run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_particles_main
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 5.. at @e[tag=lvl5_portal_particles_center] if entity @a[distance=..20] run function secretrooms3:level_animation/lvl5_portal/lvl5_portal_particles_main
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 6.. at @e[tag=concept_portal_particles_center] if entity @a[distance=..20] run function secretrooms3:level_animation/concept_portal_particles_main
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 6.. at @e[tag=concept2_portal_particles_center] if entity @a[distance=..20] run function secretrooms3:level_animation/concept_portal_particles_main2

#Teleport to Level
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 1 unless score @e[tag=sr3_overlord,limit=1] completed_lvl matches 1.. as @a at @s if entity @s[x=67,y=34,z=-21,dx=2,dy=4,dz=0] run function secretrooms3:levels/lvl1/lvl_1_startup
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 2 unless score @e[tag=sr3_overlord,limit=1] completed_lvl matches 2.. as @a at @s if entity @s[x=103,y=30,z=7,dx=0,dy=5,dz=2] run function secretrooms3:levels/lvl2/lvl_2_startup
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 3 unless score @e[tag=sr3_overlord,limit=1] completed_lvl matches 3.. as @a at @s if entity @s[x=69,y=26,z=30,dx=2,dy=5,dz=0] run function secretrooms3:levels/lvl3/lvl_3_startup
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 4 unless score @e[tag=sr3_overlord,limit=1] completed_lvl matches 4.. as @a at @s if entity @s[x=44,y=23,z=7,dx=1,dy=5,dz=2] run function secretrooms3:levels/lvl4/lvl_4_startup
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 5 unless score @e[tag=sr3_overlord,limit=1] completed_lvl matches 5.. as @a at @s if entity @s[x=68,y=4,z=7,dx=2,dy=7,dz=2] run function secretrooms3:levels/lvl5/lvl_5_startup

execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 6.. as @a at @s if entity @s[x=6,y=39,z=20,dx=2,dy=2,dz=0] run function secretrooms3:levels/concept_art
execute if score @e[tag=sr3_overlord,limit=1] portal_anim matches 6.. as @a at @s if entity @s[x=-93,y=32,z=8,dx=0,dy=4,dz=2] run function secretrooms3:levels/concept_art_return
